package ch03_oodesign.generics;

import java.time.LocalDate;

/**
 * Hilfsklasse zur Demonstration von verschiedenen Aspekten bei Generics
 * 
 * @author Michael Inden
 * 
 * Copyright 2011, 2019 by Michael Inden 
 */
public class PersonFactory extends AbstractFactory<Person> 
{
	public Person createNewTypedObject()
	{
		return new Person("", LocalDate.now(), "");
	}
}