package ch03_oodesign.principles.lsp;

/**
 * Beispielprogramm aus dem Buch "Der Weg zum Java-profi"
 * 
 * @author Michael Inden
 * 
 * Copyright 2011, 2020 by Michael Inden 
 */
class Client
{
	public static void main(String[] args) throws CalculationException {
		
		final BaseFigure figure = new Polygon();
		doSomethingWithFigure(figure);
	}
	
	static void doSomethingWithFigure(final BaseFigure figure) throws CalculationException
	{
		final Number result = figure.calcArea();
		// NullPointerException fr Polygon 
		final double area = result.doubleValue();
		// ...
	}
}