package ch03_oodesign.varianz;

import java.time.LocalDate;

import ch03_oodesign.generics.Person;

/**
 * Beispielprogramm aus dem Buch "Der Weg zum Java-profi"
 * 
 * @author Michael Inden
 * 
 * Copyright 2011, 2020 by Michael Inden 
 */
public final class ArrayStoreExceptionExample
{
    public static void main(final String[] args)
    {
        final Object[] texts = new String[] { "Arrays", "sind", "kovariant" };
     
        texts[0] = "Achtung!";
        // Provoziert eine java.lang.ArrayStoreException
        texts[1] = new Person("Max", LocalDate.now(), "Musterstadt");
    }
    
    private ArrayStoreExceptionExample()
    {        
    }
}
