package ch05_javagrundlagen.basics;

import java.time.LocalDate;

import ch05_javagrundlagen.Person;

/**
 * Beispielprogramm zur Demonstration von Ausgaben mit toString()
 * 
 * @author Michael Inden
 * 
 * Copyright 2011, 2020 by Michael Inden 
 */
public final class ToStringExample
{
    public static void main(final String[] args)
    {
	    final Object obj = new Object();
	    final Person mike = new Person("Mike", LocalDate.of(1971, 2, 7), "Bremen");
	    final Object[] objectArray = new Object[] { obj, mike };

	    System.out.println("Object: " + obj);
	    System.out.println("Person: " + mike);
	    System.out.println("Object[]: " + objectArray);
    }
    
    private ToStringExample()
    {
    }
}