package ch05_javagrundlagen.stringhandling;

/**
 * Beispielprogramm zur Demonstration der Unvernderlichkeit von String-Objekten
 * 
 * @author Michael Inden
 * 
 * Copyright 2011, 2020 by Michael Inden 
 */
public final class StringImmutabilityExample
{
    // bewusst Fehler provozieren
    @java.lang.SuppressWarnings("squid:S2201")
    public static void main(final String[] args)
    {
        String test = "Heute";
        test.concat(" ist ein schner Tag!");

        System.out.println(test);
    }

    private StringImmutabilityExample()
    {
    }
}