package ch06_collections.basics;

import java.util.Arrays;
import java.util.List;

public class ImmutableCollectionsExample
{
    public static void main(String[] args)
    {        
final List<String> names1 = Arrays.asList("Tim", "Tom", "Mike", "XYZ");        
names1.set(3,  "PETER");
System.out.println(names1); // [Tim, Tom, Mike, PETER]
        
final List<String> names2 = List.of("Tim", "Tom", "Mike", "XYZ");
// Exception in thread "main" java.lang.UnsupportedOperationException
// names2.set(3,  "PETER");        

final List<String> names3 = List.copyOf(names1);
// Exception in thread "main" java.lang.UnsupportedOperationException
// names3.set(3,  "PETER");
    }
}
