package ch06_collections.searchsortfilter;

import java.util.Comparator;

import ch06_collections.Person;

/**
 * Beispielklasse Komparator fr Person-Objekte nach Alter und Name
 * 
 * @author Michael Inden
 * 
 * Copyright 2011 by Michael Inden 
 */
public final class PersonAgeAndNameComparator2 implements Comparator<Person>
{
    public int compare(final Person person1, final Person person2)
    {
        int nRet = new PersonAgeComparator().compare(person1, person2);

        if (nRet == 0)
        {
            nRet = new PersonNameComparator().compare(person1, person2);
        }

        return nRet;
    }
}