package ch07_stream_api;

import java.util.stream.Stream;

/**
 * Beispielprogramm zeigt die Methoden skip() und limit(), um Elemente in Streams 
 * zu berspringen und dann auf eine gewisse Anzahl zu begrenzen
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class SkipLimitOrderExample
{
    public static void main(String[] args)
    {
        final Stream<Integer> values1 = Stream.of(1, 2, 3, 4, 5, 6, 7);
        final Stream<Integer> values2 = Stream.of(1, 2, 3, 4, 5, 6, 7);
        
        System.out.println("skip(3).limit(4)");
        values1.skip(3).limit(4).forEach(num -> System.out.print(num + " "));
        System.out.println("\nlimit(4).skip(3)");
        values2.limit(4).skip(3).forEach(num -> System.out.print(num + " "));
    }
}
