package ch10_multithreading.communication;

/**
 * Beispiel fr das Auftreten einer IllegalMonitorStateException
 * 
 * @author Michael Inden
 * 
 * Copyright 2011 by Michael Inden 
 */
public final class IllegalMonitorStateExample
{
    static Integer lock = new Integer(1);

    // bewusst Fehler provozieren
    @java.lang.SuppressWarnings("squid:S1860")
    public static void main(String[] args)
    {
        synchronized (lock)
        {
            System.out.println("lock is " + lock);
            lock++;
            System.out.println("lock is " + lock);
            lock.notifyAll();
        }
        System.out.println("notWorking");
    }

    private IllegalMonitorStateExample()
    {
    }
}