package ch12_advancedjava.reflection;

import java.lang.reflect.Array;
import java.util.Arrays;

/**
 * Beispielprogramm fr die Bcher "Java Profi 5 / Java 9 -- Die Neuerungen"
 * 
 * @author Michael Inden
 * 
 * Copyright 2017 by Michael Inden 
 */
public class GenericArrayCreationAndConcatExample2
{
	public static void main(final String[] args)
	{
	    String[] stringArray = (String[]) Array.newInstance(String.class, 3); 
	    stringArray[0] = "First"; 
	    stringArray[1] = "Middle"; 
	    stringArray[2] = "Last"; 
	    System.out.println(Arrays.toString(stringArray));            
	
	    String[][] twoDimStringArray = (String[][]) Array.newInstance(String.class, 
	                                                                  3, 3);  
	    twoDimStringArray[0][0] = "First"; 
	    twoDimStringArray[1][1] = "Middle"; 
	    twoDimStringArray[2][2] = "Last"; 
	    System.out.println(Arrays.deepToString(twoDimStringArray)); 
	}
}
