package ch14_java12_15;

import java.util.List;

/**
 * Beispielklasse fr das Buch "Der Weg zum Java-Profi"
 * 
 * @author Michael Inden
 * 
 *         Copyright 2020 by Michael Inden
 */
public class RecordsrReturnTypes {

	record IntStringReturnValue(int code, String info) {
	}

	record IntListReturnValue(int code, List<String> values) {
	}

	record ReturnTuple(String first, String last, int amount) {
	}

	record CompoundKey(String name, int age) {
	}

	IntStringReturnValue calculateTheAnswer() {
		// Some complex stuff here
		return new IntStringReturnValue(42, "the answer");
	}

	IntListReturnValue calculate(CompoundKey inputKey) {
		// Some complex stuff here
		return new IntListReturnValue(201, List.of("This", "is", "a", "complex", "result"));
	}
}
