package ch99_swing_gui.advanced.jtable.modifications;

import java.util.ArrayList;
import java.util.List;

import ch99_swing_gui.advanced.common.Gender;

/**
 * Dieses Klasse stellt einige Demo-Daten fr Listen und Tabellen bereit.
 * <br>
 * <b>Neu in Auflage 2</b>
 * 
 * @author Michael Inden
 * 
 * Copyright 2012 by Michael Inden
 */
public final class DataDefinitions
{    
    private static final List<Person> famousJavaPersons = new ArrayList<>();
 
    static
    {
        getFamousjavapersons().add(new Person("Joshua", "Bloch", Gender.MALE));
        getFamousjavapersons().add(new Person("Neil", "Gafter", Gender.MALE));
        getFamousjavapersons().add(new Person("James", "Gosling", Gender.MALE));
        getFamousjavapersons().add(new Person("Bart", "Bates", Gender.MALE, true));
        getFamousjavapersons().add(new Person("Kathy", "Sierra", Gender.FEMALE, true));
        getFamousjavapersons().add(new Person("Angelika", "Langer", Gender.FEMALE));
    }
    
	public static List<Person> getFamousjavapersons() 
	{
		return famousJavaPersons;
	}
	
    private DataDefinitions()
    {        
    }

}
