package ch99_swing_gui.intro;

import javax.swing.JFrame;
import javax.swing.WindowConstants;

/**
 * Dieses Beispiel demonstiert einen WindowListener, der Rckfrage hlt,
 * ob das Programm beendet werden soll.
 * <br>
 * <b>Neu in Auflage 2</b>
 * 
 * @author Michael Inden
 * 
 * Copyright 2012 by Michael Inden
 */
public final class WindowClosingExample
{
    public static void main(final String[] args) 
    {
        final JFrame frame = new JFrame("WindowClosingExample");

        // ExitListener registrieren         
        frame.addWindowListener(new ExitListener(frame));
        
        // Wichtig, um Standardfunktionalitt auszuschalten 
        frame.setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);

        frame.setSize(300, 200);
        frame.setVisible(true);
    }
}