package ch20_unittests.basics;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.util.ArrayList;
import java.util.List;

import org.junit.jupiter.api.Test;

/**
 * Beispiel zur Demnonstration des GWT-Stils
 * 
 * @author Michael Inden
 * 
 * Copyright 2019 by Michael Inden 
 */
class GWTStyleExample 
{
	@Test
	void demonstrateGWTStyle()
	{
		// $\mbox{\bfseries GIVEN: An empty list }$
		final List<String> names = new ArrayList<>();
	
		// $\mbox{\bfseries WHEN: 2 elements are added }$
		names.add("Tim");
		names.add("Mike");
	
		// $\mbox{\bfseries THEN: list should contain 2 elements }$
		assertEquals(2, names.size(), "list should contain 2 elements");
	}
}
