package ch20_unittests.ch20_3_misc;

import static org.junit.jupiter.api.Assertions.assertArrayEquals;

import org.junit.jupiter.api.Test;

/**
 * Besipiel eines Unit Tests mit JUnit 5
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class AssertArrayEqualsTest 
{
	/*
	@Test
	void arraysCompare() 
	{
		final String[] words = { "Word1", "Word2" };
		final String[] expected = { "Word1", "Word2" };
		
		assertEquals(expected, words);
	}
	
	@Test
	void nestedArraysCompare() {
		final String[][] nested = { { "Line1", "Word1" }, 
				                    { "Line2", "Word2" } };
		final String[][] expected = { { "Line1", "Word1" }, 
				                      { "Line2", "Word2" } };
	
		assertEquals(expected, nested);
	}
	*/
	
	@Test
	void arraysCompare() 
	{
		final String[] words = { "Word1", "Word2" };
		final String[] expected = { "Word1", "Word2" };
		
		assertArrayEquals(expected, words);
	}
	
	@Test
	void nestedArraysCompare() 
	{
		final String[][] nested = { { "Line1", "Word1" }, 
				                    { "Line2", "Word2" } };
		final String[][] expected = { { "Line1", "Word1" }, 
				                      { "Line2", "Word2" } };
	
		assertArrayEquals(expected, nested);
	}
}
