package ch20_unittests.ch20_4_parameterized_tests;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.CsvSource;

/**
 * Besipiel eines Unit Tests mit JUnit 5
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class FirstParametrizedAddTest 
{
    @ParameterizedTest(name = "{index}: {0} + {1} = {2}")
    @CsvSource({"1,1,2", "2,2,4", "3,3,6"})
    void testAdd(int a, int b, int expectedsum)
    {
	  assertEquals(expectedsum, a + b);
    }
}
