package ch20_unittests.ch20_5_advanced.extractandoverride.complex;

/**
 * Besipiel fr das Buch "Der Weg zum Java-Profi 5"
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class PizzaServiceV2
{
	private final SmsNotificationService notificationService;

	public PizzaServiceV2()
    {
		notificationService =  createNotificationService();
    }
	
	public void orderPizza(final String name)
    {
		notificationService.send("Pizza " + name + " wird in Krze geliefert.");
    }
	
	protected SmsNotificationService createNotificationService()
	{
		return new SmsNotificationService();
	}
	
	public SmsNotificationService getNotificationService() {
		return notificationService;
	}
}