package ch20_unittests.ch20_8_migrationsupport;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertThrows;

import org.junit.jupiter.api.Test;

/**
 * Besipiel fr das Buch "Der Weg zum Java-Profi 5"
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class ExpectedExceptionReplacementInJUnit5Test
{
    @Test
    void illegalStateExceptionWithMessageTextExpected()
    {
        // wrde die Exception bereits vor der eigentlichen Aktion 
    	// ausgelst, so kme es zu einem Testfehler
        // throw new IllegalStateException("XYZ is not initialized");
        IllegalStateException thrown = assertThrows(IllegalStateException.class, 
               () -> { throw new IllegalStateException("XYZ is not initialized"); });

        assertEquals("XYZ is not initialized", thrown.getMessage());
    }
}