package ch05_javagrundlagen.stringhandling;

/**
 * Beispielprogramm zur Demonstration der format()-Methode von String-Objekten
 * 
 * @author Michael Inden
 * 
 * Copyright 2011, 2020 by Michael Inden 
 */
public final class StringFormatExample
{
// Flse Positive Formt erhlt genug Parameter
@java.lang.SuppressWarnings("squid:S2275")	
public static void main(final String[] args)  
{
    final Object[] sampleArgs = { "pi", 3.1415, 12345 };
    final String str = String.format("%S='%2.5f' Zahl='%,d'", sampleArgs);

    System.out.println(str); // PI='3,14150' Zahl='12.345' 
    
    System.out.println(String.format("%03x %X %b", 7, 161, true));
}
    
    private StringFormatExample()
    {
    }
}