package ch07_stream_api;

import java.util.stream.Stream;

/**
 * Beispielprogramm für die Bücher "Java Profi 4 / Java 9 -- Die Neuerungen"
 * 
 * @author Michael Inden
 * 
 * Copyright 2017 by Michael Inden 
 */
public class DropAndTakeWhileExample
{
    public static void main(final String[] args)
    {
        Stream<String> words = Stream.of("ab", "bla", "<START>", 
                                         "Hier", "steht", "der", "Text",
                                         "<END>", "saas", "bla");
    
        Stream<String> content = words.dropWhile(word -> !word.equals("<START>"))
                                      .skip(1)
                                      .takeWhile(word -> !word.equals("<END>"));
    
        content.forEach(System.out::println);                           
    }
}
