package ch07_stream_api;

import java.util.stream.IntStream;

/**
 * Beispielprogramm zeigt die Methoden skip() und limit(), um Elemente in Streams zu berspringen 
 * und dann auf eine gewisse Anzahl zu begrenzen
 * 
 * @author Michael Inden
 * 
 * Copyright 2019 by Michael Inden 
 */
public class SkipAndLimitExample
{
    public static void main(final String[] args)
    {
    	final IntStream iteratingValues = IntStream.iterate(0, x -> x + 1);			   

    	final IntStream values = iteratingValues.skip(50).limit(12); 
    	values.forEach(System.out::println); // => 50,51,52,53,54,55,56,57,58,59,60,61
    }
}