package ch09_applikationsbausteine.configuration;

/**
 * Value Object, das die zu verarbeitenden Kommandozeilenparameter speichern kann
 * 
 * @author Michael Inden
 * 
 * Copyright 2011, 2019 by Michael Inden 
 */
class AppParameterVO
{
    // Defaultwerte, wenn Wert nicht in der Kommandozeile bergeben
    int     width    = 700;
    int     height   = 100;
    boolean debug    = false;
    boolean showHelp = false;

    @Override
    public String toString()
    {
        return "AppParameterVO [debug=" + debug + ", height=" + height + ", " +
                            "showHelp=" + showHelp + ", width=" + width + "]";
    }
}
