package ch11_modern_concurrency.forkjoin;

import java.util.ArrayList;
import java.util.List;

/**
 * Beispielprogramm fr die Bcher "Java Profi 5 / Java 9 -- Die Neuerungen"
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class Merger
{
	static List<Long> merge(final List<Long> values1, final List<Long> values2)
	{
	    final List<Long> result = new ArrayList<>();
	    int idx1 = 0;
	    int idx2 = 0;
	
	    while (idx1 < values1.size() && idx2 < values2.size())
	    {
	        final long value1 = values1.get(idx1);
	        final long value2 = values2.get(idx2);
	
	        if (value1 < value2)
	        {
	            result.add(value1);
	            idx1++;
	        }
	        else
	        {
	            result.add(value2);
	            idx2++;
	        }
	    }
	    for (int i = idx1; i < values1.size(); i++)
	        result.add(values1.get(i));
	    for (int i = idx2; i < values2.size(); i++)
	        result.add(values2.get(i));
	    return result;
	}
}
