package ch16_badsmells;

import java.awt.Image;
import java.awt.image.BufferedImage;
import java.util.HashMap;
import java.util.Map;

public final class VarDeclarationImproved {
	private static final Image NO_IMAGE = new BufferedImage(0, 0, BufferedImage.TYPE_INT_RGB);

	private static final Map<String, Image> nameToImageMapping = new HashMap<>();

	private static Image getImageForName(final String imageNameToSearch) {
		return nameToImageMapping.getOrDefault(imageNameToSearch, NO_IMAGE);
	}

	public static void main(String[] args) {

		System.out.println(getImageForName("XYZ"));
	}

}