package ch19_codingconventions;

/**
 * Beispielprogramm zur Verdeutlichung einer return-Anweisung in catch und finally
 * 
 * @author Michael Inden
 * 
 * Copyright 2011, 2020 by Michael Inden 
 */
public final class TestReturnInCatch
{
    // bewusst Fehler provozieren
    @java.lang.SuppressWarnings("squid:S1143")
    public static String test()
    {
        try
        {
            throw new IllegalStateException("Exception simulieren!");
        }
        catch (final IllegalStateException ex)
        {
            return "Im Fehlerfall";
        }
        finally
        {            
            return "Tatschlich";
        }
    }

    public static void main(final String[] args)
    {
        System.out.println(test());
    }
    
    private TestReturnInCatch()
    {        
    }
}