package ch20_unittests.ch20_3_misc;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTrue;

import java.util.concurrent.TimeUnit;

import org.junit.jupiter.api.Tag;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.TestInfo;

/**
 * Unit-Tests zur Demonstration der JUnit Rule TestName
 * 
 * @author Michael Inden
 * 
 * Copyright 2019 by Michael Inden 
 */
public class CategoriesWithTagsTest 
{
	@Test
	@Tag("fast")
    public void fast() 
    {
        assertTrue(true);
    }
    
    @Test
    @Tag("slow")
    public void slow(final TestInfo testInfo) throws InterruptedException 
    {
    	TimeUnit.SECONDS.sleep(2);
        assertEquals("slow", testInfo.getTestMethod().get().getName());
    }
}
