package ch20_unittests.ch20_4_parameterized_tests;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.time.Month;

import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.CsvSource;

/**
 * Besipiel fr das Buch "Der Weg zum Java-Profi 5"
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class ConversionExampleTest 
{
	@ParameterizedTest
	@CsvSource(value = { "APRIL: 30", "JUNE : 30", "JULY:31" }, 
	           delimiter = ':')
	void checkLengthOfMonth(Month month, int length) 
	{
		assertEquals(length, month.length(false));
	}
}
