package ch20_unittests.ch20_4_parameterized_tests;

import java.time.LocalDate;

import org.junit.jupiter.params.converter.SimpleArgumentConverter;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;


/**
 * Besipiel fr das Buch "Der Weg zum Java-Profi 5"
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
class JsonToPerson extends SimpleArgumentConverter
{
    private static final Gson gson = new GsonBuilder().
                                     registerTypeAdapter(LocalDate.class, 
                                     new LocalDateAdapter()).create();

    @Override
    protected Person convert(Object source, Class<?> targetType)
    {
        return gson.fromJson((String) source, Person.class);
    }
}