package ch20_unittests.ch20_5_advanced.extractandoverride.complex;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * Besipiel fr das Buch "Der Weg zum Java-Profi 5"
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class StubNotificationService extends SmsNotificationService 
{
	private final List<String> messages = new ArrayList<>();
	
	@Override
    public void send(final String msg) 
	{
		messages.add(msg);
	}
	
	public List<String> getMessages() 
	{
		return Collections.unmodifiableList(messages);
	}
}