package ch20_unittests.ch20_5_mockito.examples;

/**
 * Besipiel fr das Buch "Der Weg zum Java-Profi 5"
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class PizzaService
{
    private final SmsNotificationService notificationService;

    public PizzaService(final SmsNotificationService notificationService)
    {
		this.notificationService = notificationService;
    }
	
    public void orderPizza(final String name)
    {
	    notificationService.send(createNotificationMsg(name));
    }
    
    /* private */ static String createNotificationMsg(final String name) 
    {
	    return "Pizza " + name + " wird in Krze geliefert.";
    }
}