package ch20_unittests.ch20_5_mockito.examples_no_more_interactions;

/**
 * Besipiel fr das Buch "Der Weg zum Java-Profi 5"
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class Application
{
    private final Greeting greeting;
        
    public Application(final Greeting greeting)
    {
        this.greeting = greeting;
    }
    
    public String generateMsg(final String name)
    {
        return greeting.greet(name);
    }
    
    public void specialMsg(final String info)
    {
        // greeting.noReturnJustPrint("preInfo");
        greeting.greet(info);
        // greeting.noReturnJustPrint("postInfo");
    }
    
    public void noCoveredByVerify()
    {
        System.out.println("JUST OWN METHOD");
    }
}