package ch20_unittests.ch20_7_tools;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.equalTo;

import java.time.LocalDate;

import org.junit.jupiter.api.Test;

import ch03_oodesign.generics.Person;

/**
 * Besipiel fr das Buch "Der Weg zum Java-Profi 5"
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class SimplePersonTest
{
    @Test
    public void testEquals()
    {
        final Person tim = new Person("Tim", LocalDate.of(1971, 3, 27), "Kiel");
        final Person tim2 = new Person("Tim", LocalDate.of(1971, 3, 27), "Kiel");

        assertThat(tim, equalTo(tim2));

        assertThat("Geburtsjahr", tim.getBirthday().getYear(), equalTo(1971));
        assertThat("Stadt", tim.getCity(), equalTo("Kiel"));
    }
}