package ch20_unittests.ch20_8_migrationsupport;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.TestInfo;

/**
 * Besipiel fr das Buch "Der Weg zum Java-Profi 5"
 * 
 * @author Michael Inden
 * 
 * Copyright 2020 by Michael Inden 
 */
public class NameRuleReplacementInJUnit5Test
{
    @Test
    @DisplayName("displayyname unicode \u1234") 
    public void injectParams(final TestInfo testInfo) 
    {
        assertEquals("displayname unicode \u1234", testInfo.getDisplayName());
        assertEquals("injectParams", testInfo.getTestMethod().get().getName());
    }
}